<!DOCTYPE html>
<html>

	<head>
		<meta charset="UTF-8">
		<title>sage</title>
		<link rel="stylesheet" type="text/css" href="css/easyui.css">
		<link rel="stylesheet" type="text/css" href="css/icon.css">
		<script type="text/javascript" src="js/lib/jquery.min.js"></script>
		<script type="text/javascript" src="js/lib/jquery.easyui.min.js"></script>
	</head>

	<body>
		<div class="common_content_nav">您所在位置 > <a href="#">积分查询</a></div>
		<div class="common_content_title">积分查询</div>
		<div class="seach_form_box box_shadow border5 clearfix">
			<div class="seach_form">
				<form id="pointsItemForm" method="post">
					<ul class="clearfix">
						<li>
							<div>
								<span>会员编号:</span>
								<input class="form-control" type="text" name="memberCode"></input>
							</div>
						</li>
						<li>
							<div>
								<span>会员卡号:</span>
								<input class="form-control" type="text" name="cardNo"></input>
							</div>
						</li>
						<li>
							<div>
								<span>会员手机号:</span>
								<input class="form-control" type="text" name="mobile"></input>
							</div>
						</li>
						<li class="seach_form_li2">
							<div>
								<span>发生时间:</span>
								<input name="happenTimeStart" id="happenTimeStart" class="Wdate date_input" type="text" value="" 
									onfocus="WdatePicker({dateFmt:'yyyy-MM-dd',maxDate:'#F{$dp.$D(\'happenTimeEnd\')}'})" />
							</div>
							<div class="and">
								<span>至:</span>
								<input name="happenTimeEnd" id="happenTimeEnd" class="Wdate date_input" type="text" value="" 
 									onfocus="WdatePicker({dateFmt:'yyyy-MM-dd',minDate:'#F{$dp.$D(\'happenTimeStart\')}'})" readonly />
							</div>
						</li>
						<li>
							<div>
								<span>积分类型</span>
								<input type="hidden" name="pointsTypeId" id="" value="" />
								<input id="selectId" size="16" type="text" class="form-control" value="" input-type="select" readonly>
								<ul class="dropdown-menu">
									<li data-id="">
										<a href="javascript:;" style="color:#cdcdcd;">--请选择--</a>
									</li>
								</ul>
								<i class="input_icon input_down"></i>
							</div>
						</li>
						<li class="seach_form_li2">
							<div>
								<span>过期时间:</span>
								<input name="invalidTimeStart" id="invalidTimeStart" class="Wdate date_input" type="text" value="" 
									onfocus="WdatePicker({dateFmt:'yyyy-MM-dd',maxDate:'#F{$dp.$D(\'invalidTimeEnd\')}'})" readonly />
							</div>
							<div class="and">
								<span>至:</span>
								<input name="invalidTimeEnd" id="invalidTimeEnd" class="Wdate date_input" type="text" value="" 
 									onfocus="WdatePicker({dateFmt:'yyyy-MM-dd',minDate:'#F{$dp.$D(\'invalidTimeStart\')}'})" readonly />
							</div>
						</li>
						<li>
							<div>
								<span>积分状态</span>
								<input type="hidden" name="statusId" id="" value="" />
								<input id="selectId" size="16" type="text" class="form-control" value="" input-type="select" readonly>
								<ul class="dropdown-menu" data="$.POINT_STATUS_ID">
									<li data-id="">
										<a href="javascript:;" style="color:#cdcdcd;">--请选择--</a>
									</li>
								</ul>
								<i class="input_icon input_down"></i>
							</div>
						</li>
						
						
					</ul>
					<button id="seachPoints" type="button" class="btn common_content_seacch_btn"></button>
				</form>
			</div>
		</div>
		<div class="common_content_table box_shadow border10">
			<table id="pointsItemTable" class="easyui-datagrid" style="width:100%;height:400px" data-options="pagination:true,singleSelect:true,collapsible:true,method:'post'">
				<thead>
					<tr>
						<th data-options="field:'memberPointsItemId',checkbox:true"></th>
						<th data-options="field:'memberCode',width:130,align:'center',halign:'center'">会员编号</th>
						<th data-options="field:'happenTime',width:150,align:'center',halign:'center',
								formatter : function(value, row, index) {return getDateString(value);}">发生时间</th>
						<th data-options="field:'itemPointsNumber',width:80,align:'center',halign:'center'">变化积分</th>
						<th data-options="field:'pointsTypeName',width:120,align:'center',halign:'center'">积分类型</th>
						<th data-options="field:'activityInstanceName',width:120,align:'center',halign:'center'">积分来源</th>
						<th data-options="field:'pointsReason',width:200,align:'center',halign:'center'">积分变动原因</th>
						<th data-options="field:'invalidDate',width:150,align:'center',halign:'center',
								formatter : function(value, row, index) {return getDateString(value);}">过期时间</th>
						<th data-options="field:'statusId',width:120,align:'center',halign:'center',
								formatter : function(value, row, index) {return $.POINT_STATUS_ID.getText(value);}">积分状态</th>
					</tr>
				</thead>
			</table>
		</div>
		<script type="text/javascript">
			$(function() {
				require(['view/points/pointsItemManage'], function(re) {
					re.init();
				});
			});
		</script>
	</body>

</html>